﻿@model List<SkuModelView>
<div class="panel-group" id="accordionMain">
    <div class="panel panel-default">
        <div class="panel-heading">
            <h4 class="panel-title">
                <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordionMain" href="#collapseMain">
                    @PDM.VD
                    <i class="indicator glyphicon glyphicon-chevron-down pull-right"></i>
                </a>

            </h4>
        </div>
        <div id="collapseMain" class="panel-collapse collapse in">
            <div class="panel-body" style="overflow-y: hidden;  padding: 5px;">
                <div class="bs-example2-tabs">
                    <div id="myTabContentGeneral" class="tab-content">
                        <div id="myTabContentSubGeneral" class="tab-content">
                            <div class="panel-group" id="accordion3">
                                @{
                                    int counter = 0;
                                    foreach (var color in Model.Where(j => j.U_ARGNS_ITYPE != "P").GroupBy(c => c.U_ARGNS_COL))
                                    {
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <h4 class="panel-title">
                                                    <a class="accordion-toggle @(counter == 0 ? "collapsed" : "" )" data-toggle="collapse" data-parent="#accordion3" href="#collapse-@color.Key.Replace(" ", "")">
                                                        @color.Key - @Model.Where(g => g.U_ARGNS_COL == color.Key && g.U_ARGNS_ITYPE != "P").First().ColorDesc
                                                    </a><i class="indicator glyphicon glyphicon-chevron-down  pull-right"></i>
                                                </h4>
                                            </div>
                                            <div id="collapse-@color.Key.Replace(" ", "")" class="panel-collapse collapse @(counter == 0 ? "in" : "")">
                                                <div class="panel-body" style="overflow-y: hidden; padding: 5px;">
                                                    @if (!string.IsNullOrEmpty(Model.Where(j => j.U_ARGNS_ITYPE != "P").FirstOrDefault().U_ARGNS_VAR))
                                                    {
                                                        <div class="panel-group" id="accordion4">
                                                            @foreach (var variable in Model.Where(c => c.U_ARGNS_COL == color.Key && c.U_ARGNS_ITYPE != "P").GroupBy(p => p.U_ARGNS_VAR).ToList())
                                                            {
                                                                System.Text.StringBuilder sbOnHand = new System.Text.StringBuilder("<tr><td>" + "" + "</td>");

                                                                <div class="panel panel-default">

                                                                    <div class="panel-heading">
                                                                        <h4 class="panel-title">
                                                                            <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion9" href="#collapse-@color.Key.Replace(" ", "")-@variable.Key.Replace(" ", "") ">
                                                                                @variable.Key - @Model.Where(g => g.U_ARGNS_VAR == variable.Key && g.U_ARGNS_ITYPE != "P").First().VarDesc
                                                                            </a>
                                                                            <i class="indicator glyphicon glyphicon-chevron-down  pull-right"></i>
                                                                        </h4>
                                                                    </div>
                                                                    <div id="collapse-@color.Key.Replace(" ", "")-@variable.Key.Replace(" ", "")" class="panel-collapse collapse in">
                                                                        <div class="panel-body" style="overflow-y: hidden; padding: 5px;">


                                                                            @foreach (var info in Model.Where(c => c.U_ARGNS_COL == color.Key && c.U_ARGNS_VAR == variable.Key && c.U_ARGNS_ITYPE != "P").OrderBy(c => c.U_ARGNS_SCL).ThenBy(c => c.U_ARGNS_SIZEVO).ToList())
                                                                            {

                                                                                sbOnHand.Append("<td>" + @Html.TextBox(info.ItemCode, "0", new { @class = "MatrixItems", @type = "number" }) + "</td>");
                                                                            }

                                                                            <div class="table-responsive">
                                                                                <table class="table table-striped">
                                                                                    <thead>
                                                                                        <tr>
                                                                                            <th style="line-height: 20px;">@PDM.Sizes</th>
                                                                                            @foreach (var sizes in Model.Where(j => j.U_ARGNS_ITYPE != "P").OrderBy(c => c.U_ARGNS_SCL).ThenBy(c => c.U_ARGNS_SIZEVO).GroupBy(c => c.U_ARGNS_SIZE))
                                                                                            {
                                                                                                <th style="line-height: 20px;">@sizes.Key</th>
                                                                                            }
                                                                                        </tr>
                                                                                    </thead>
                                                                                    <tbody>
                                                                                        @Html.Raw(sbOnHand.Append("</tr>"))

                                                                                    </tbody>
                                                                                </table>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            }
                                                        </div>
                                                    }
                                                    else
                                                    {
                                                        System.Text.StringBuilder sbOnHand = new System.Text.StringBuilder("<tr><td>" + "" + "</td>");

                                                        foreach (var info in Model.Where(c => c.U_ARGNS_COL == color.Key && c.U_ARGNS_ITYPE != "P").OrderBy(c => c.U_ARGNS_SCL).ThenBy(c => c.U_ARGNS_SIZEVO).ToList())
                                                        {
                                                            sbOnHand.Append("<td>" + @Html.TextBox(info.ItemCode, "0", new { @class = "MatrixItems", @type = "number" }) + "</td>");

                                                        }
                                                        <div class="table-responsive">

                                                            <table class="table table-striped">
                                                                <thead>
                                                                    <tr>
                                                                        <th style="line-height: 20px;">@PDM.Sizes</th>
                                                                        @if (Model.Where(j => j.U_ARGNS_ITYPE != "P").FirstOrDefault().U_ARGNS_SIZE != null && Model.Where(j => j.U_ARGNS_ITYPE != "P").FirstOrDefault().U_ARGNS_SIZE != "")
                                                                        {
                                                                            foreach (var sizes in Model.Where(j => j.U_ARGNS_ITYPE != "P").OrderBy(c => c.U_ARGNS_SCL).ThenBy(c => c.U_ARGNS_SIZEVO).GroupBy(c => c.U_ARGNS_SIZE))
                                                                            {
                                                                                <th style="line-height:20px;">@sizes.Key</th>
                                                                            }
                                                                        }
                                                                        else
                                                                        {
                                                                            <th style="line-height: 20px;">@PDM.Quantity</th>
                                                                        }
                                                                    </tr>
                                                                </thead>
                                                                <tbody>
                                                                    @Html.Raw(sbOnHand.Append("</tr>"))
                                                                </tbody>
                                                            </table>
                                                        </div>

                                                    }
                                                </div>
                                            </div>
                                        </div>
                                    counter = counter + 1;
                                    }

                                }
                            </div>
                        </div>
                        <!--///////// Close BLOKE/////////-->
                        <div class="clearfix"></div>


                    </div>
                </div>
                <!--///////// Close BLOKE/////////-->
            </div>
        </div>
    </div>
</div>


<script>
    fit_modal_body($('.modal'));
</script>